/*
 * @LastEditors: gcz
 */
import themeColor from "./color"
let page1Char1Schema = {
    title: {
        text: '蓄积量统计(立方米)',
        textStyle: {
            color: themeColor.mainColor,
            fontSize: 0,
            height: 0
        },
        show: false

    },
    tooltip: {},
    grid: {
        containLabel: true,
        top: "20px",
        left: '10px',
        bottom: '20px',
        right: '24px'
    },
    dataZoom: [
        {
            xAxisIndex: 0, //这里是从X轴的0刻度开始
            show: true, //是否显示滑动条，不影响使用
            type: 'slider', // 这个 dataZoom 组件是 slider 型 dataZoom 组件
            startValue: 0, // 从头开始。
            endValue: 4, // 一次性展示*+1个
            height: 5, //组件高度
            width: '50%',
            left: '30%',
            bottom: '10px',
            borderColor: 'transparent',
            fillerColor: themeColor.fillerColor,
            zoomLock: true,
            showDataShadow: false, //是否显示数据阴影 默认auto
            backgroundColor: 'rgba(255,255,255,.2)',
            showDetail: false, //即拖拽时候是否显示详细数值信息 默认true
            realtime: true, //是否实时更新
            filterMode: 'filter',
            handleIcon: 'M-9.35,34.56V42m0-40V9.5m-2,0h4a2,2,0,0,1,2,2v21a2,2,0,0,1-2,2h-4a2,2,0,0,1-2-2v-21A2,2,0,0,1-11.35,9.5Z',
            handleStyle: {
                color: '#14c6d3',
                borderColor: 'transparent',
                borderRadius: 10
            },
            moveHandleSize: 20,
            moveOnMouseMove: true,
            maxValueSpan: 4,
            minValueSpan: 4,
            moveHandleSize: 0,
            brushSelect: false, //刷选功能，设为false可以防止拖动条长度改变 ************（这是一个坑）
        },
    ],
    xAxis: {
        data: ['清镇林场', '三都林场', '榕江林场', '水东林场', '甜蜜林场', '贵阳林场'],
        axisLabel: {
            color: "rgba(255, 255, 255, 1)",
            // interval: 0,//坐标刻度之间的显示间隔，默认就可以了（默认是不重叠）
            // rotate: 40,//斜着放
        },
    },
    yAxis: {
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        },
        splitLine: {
            show: true,
            lineStyle: {
                color: 'rgba(255,255,255,0.05)',
            }
        }
    },
    series: [
        {
            name: '蓄积量',
            type: 'bar',
            data: [5000, 6000, 3000, 9000, 4500, 7000],
            itemStyle: {
                color: '#02EEFF'
            }

        }
    ]
}
export default page1Char1Schema