/*
 * @LastEditors: gcz
 */
import themeColor from "./color"
let page2Char1Schema = {
    title: {
        text: '树种占比',
        left: 'center',
        textStyle: {
            color: themeColor.mainColor,
        },
        show: false
    },
    tooltip: {
        trigger: 'item',
        formatter: '{b} : {c} ({d}%)'
    },
    grid: {
        containLabel: true,
        top: "20px",
        left: '10px',
        bottom: '20px',
        right: '24px'
    },
    legend: {
        show: false,
        orient: 'vertical',
        left: 'left'
    },
    series: [
        {
            name: 'Access From',
            type: 'pie',
            radius: '50%',
            data: [
                // { value: 120, name: '柏类' },
                // { value: 20, name: '杉树' },
                // { value: 5, name: '松树' },
                // { value: 80, name: '枫叶类' }
            ],
            emphasis: {
                itemStyle: {
                    shadowBlur: 10,
                    shadowOffsetX: 0,
                    shadowColor: 'rgba(0, 0, 0, 0.5)'
                }
            }
        }
    ]
}
export default page2Char1Schema