/*
 * @LastEditors: gcz
 */
/*
 * @LastEditors: gcz
 */
import themeColor from "./color"
let page5Char1Schema = {
    title: {
        text: '占地面积统计(亩)',
        textStyle: {
            color: '#02EEFF',
        },
        show: false

    },
    grid: {
        containLabel: true,
        top: "20px",
        left: '10px',
        bottom: '20px',
        right: '24px'
    },
    dataZoom: [
        {
            xAxisIndex: 0, //这里是从X轴的0刻度开始
            show: true, //是否显示滑动条，不影响使用
            type: 'slider', // 这个 dataZoom 组件是 slider 型 dataZoom 组件
            startValue: 0, // 从头开始。
            endValue: 4, // 一次性展示*+1个
            height: 5, //组件高度
            width: '50%',
            left: '30%',
            bottom: '10px',
            borderColor: 'transparent',
            fillerColor: themeColor.fillerColor,
            zoomLock: true,
            showDataShadow: false, //是否显示数据阴影 默认auto
            backgroundColor: 'rgba(255,255,255,.2)',
            showDetail: false, //即拖拽时候是否显示详细数值信息 默认true
            realtime: true, //是否实时更新
            filterMode: 'filter',
            handleIcon: 'M-9.35,34.56V42m0-40V9.5m-2,0h4a2,2,0,0,1,2,2v21a2,2,0,0,1-2,2h-4a2,2,0,0,1-2-2v-21A2,2,0,0,1-11.35,9.5Z',
            handleStyle: {
                color: '#14c6d3',
                borderColor: 'transparent',
                borderRadius: 10
            },
            moveHandleSize: 20,
            moveOnMouseMove: true,
            maxValueSpan: 4,
            minValueSpan: 4,
            moveHandleSize: 0,
            brushSelect: false, //刷选功能，设为false可以防止拖动条长度改变 ************（这是一个坑）
        },
    ],
    tooltip: {},
    xAxis: {
        data: ['榕江县草珊瑚育苗基地', '榕江县乐乡村养殖基地'],
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        }
    },
    yAxis: {
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        },
        splitLine: {
            show: true,
            lineStyle: {
                color: 'rgba(255,255,255,0.05)',
            }
        }
    },
    series: [
        {
            name: '占地面积',
            type: 'bar',
            data: [235, 302],
            itemStyle: {
                color: '#02EEFF'
            }

        }
    ]
}
export default page5Char1Schema