/*
 * @LastEditors: gcz
 */
/*
 * @LastEditors: gcz
 */

import themeColor from "./color"
let page6Char2Schema = {
    title: {
        text: '事件发生频率分析',
        show: false
    },
    tooltip: {
        trigger: 'axis'
    },
    legend: {
        data: ['病虫害', '火灾', '乱砍滥伐'],
        textStyle: {
            color: '#fff',
        }
    },
    grid: {
        containLabel: true,
        top: "30px",
        left: '10px',
        bottom: '20px',
        right: '24px'
    },
    toolbox: {
        // feature: {
        //     saveAsImage: {}
        // }
    },
    xAxis: {
        type: 'category',
        boundaryGap: false,
        data: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        }
    },
    yAxis: {
        type: 'value',
        axisLabel: {
            color: "rgba(255, 255, 255, 1)"
        },
        splitLine: {
            show: true,
            lineStyle: {
                color: 'rgba(255,255,255,0.05)',
            }
        }
    },
    series: [
        {
            name: '病虫害',
            type: 'line',
            // stack: 'Total',
            data: [120, 132, 101, 134, 90, 230, 210, 132, 101, 134, 90, 230],
            itemStyle: {//自定义颜色
                normal: { color: "rgb(2, 238, 255)" },
            }
        },
        {
            name: '火灾',
            type: 'line',
            // stack: 'Total',
            data: [220, 182, 191, 234, 290, 330, 310, 132, 101, 134, 90, 230],
            itemStyle: {//自定义颜色
                normal: { color: "rgb(94, 229, 116)" },
            }
        },
        {
            name: '乱砍滥伐',
            type: 'line',
            // stack: 'Total',
            data: [150, 232, 201, 154, 190, 330, 410, 132, 101, 134, 90, 230],
            itemStyle: {//自定义颜色
                normal: { color: "rgb(255, 255, 0)" },
            }
        }
    ]
}
export default page6Char2Schema