/*
 * @LastEditors: gcz
 */
// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from "vue";
import App from "./App";
import router from "./router";

import store from "./store";

import dataV from "@jiaminghi/data-view";
import Pagination from "@/components/pagination"
// 引入全局样式文件
import "@/assets/scss/index.scss";

import Element from "element-ui";
import 'element-ui/lib/theme-chalk/index.css';
// 图片放大
import Viewer from 'v-viewer'
import 'viewerjs/dist/viewer.css'
Vue.use(Viewer) 
//main.js添加
import filters from './utils/filters'
filters(Vue);

Vue.use(Element);

Vue.use(dataV);
Vue.component("Pagination", Pagination);
Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: "#app",
  router,
  store,
  components: { App },
  template: "<App/>"
});
